h3#cart-header {
    width: 100%;
    text-align: center;
}

div#cart-main-container {
    display: flex;
    position: relative;
    flex-wrap: wrap;
    width: 100%;
}

div#cart-info-container {
    width: max(45%, 400px);
    position: relative;
    display: block;
    margin: 0px 20px;
}

div#cart-order-container {
    position: relative;
    display: block;
    width: max(45%, 400px);
}

div#cart-container {
    display: block;
    flex-wrap: wrap;
    position: relative;
}

h4#cart-product-header {
    width: 100%;
    text-align: center;
}

h4#cart-order-contact-header {
    width: 100%;
    text-align: center;
}

div#cart-product-info-container {
    position: relative;
    display: block;
    width: 100%;
}

.cart-product-info {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    overflow-wrap: anywhere;
}

label.cart-product-name-label {
    width: 30%;
    font-size: 16px;
}

h4#cart-payment-header {
    width: 100%;
    text-align: center;
}

input.cart-payment-type-checkbox {
    margin: 10px 20px;
}

form#cart-order-contact-container {
    width: inherit;
    border-bottom: 2px solid black;
    padding-bottom: 20px;
}

.ng-valid[required],
.ng-valid.required {
    border-left: 5px solid #42a948;
}

.ng-invalid:not(form) {
    border-left: 5px solid #a94442;
}

div#cart-pickup-container {
    margin-bottom: 1rem;
}

h4#cart-order-delivery-header {
    width: 100%;
    text-align: center;
}

div#cart-order-delivery- {
    width: inherit;
}

input.delivery-checkbox {
    margin-right: 10px;
}

.cart-product-quantity-container {
    width: 30%;
    display: flex;
    position: relative;
}

input.quantity-input {
    position: relative;
    width: inherit;
    height: 24px;
}

.cart-message-label {
    width: 100%;
    font-size: 24px;
    font-weight: bold;
    text-align: center;
}

div#cart-product-container {
    border-bottom: 2px solid black;
}

div#cart-payment-container {
    border-bottom: 2px solid black;
    margin-top: 20px;
}

div#cart-buy-container {
    margin-top: 20px;
}

select#delivery-pickup-select {
    width: 80%;
    font-size: 14px;
}
